<template>
  <div id="signup">
<form class="col-6 mx-auto">
  <div class="form-group">
    
    <label for="exampleInputEmail1">Email address</label>
    <input v-model="username" type="email" class="form-control" id="exampleInputEmail1" aria-describedby="emailHelp">
    <small id="emailHelp" class="form-text text-muted">We'll never share your email with anyone else.</small>
  </div>
  <div class="form-group">
    <label for="exampleInputPassword1">Password</label>
    <input v-model="email" type="password" class="form-control" id="exampleInputPassword1">
  </div>
  <div class="form-group">
    <label for="exampleInputPassword1">Password</label>
    <input v-model="password" type="password" class="form-control" id="exampleInputPassword1">
  </div>
  <div class="form-group">
    <label for="exampleInputPassword1">Password</label>
    <input  v-model="validaRepetPassword" type="password" class="form-control" id="exampleInputPassword1">
  </div>
 <button @click="btnAccept" type="button" class="btn btn-primary">
         Done
        </button>      
</form>
  </div>  
</template>

<script>
export default {
  name: "SignUp",
  date() {
    return {
      username: null,
      email: null,
      password: null,
      validaRepetirPassword: null
    };
  },

  methods: {
    btnAccept() {
      this.$emit(
        "accept",
        this.username,
        this.email,
        this.password,
        this.validaRepetirPassword
      );
    }
  }
};
</script>

<style scoped>
#signup{
  margin-top:30px;
  margin-bottom:60px
}
</style>
